サポート » バグ報告と提案 » 「このブロックでエラーが発生したためプレビューできません」のエラーがでる

  • 解決済 hasumi

    (@hasumi22)


    先日、ワードプレスの大型アップデートがあり、記事の新規作成画面(エディタ)が大きく変更されました。
    新しくなった画面で記事を書く際「ブロックの追加」という項目から「フォーマット」→「クラシック」というブロックを選択すると「このブロックでエラーが発生したためプレビューできません」という表示があり、「クラシック」のブロックを使って記事を書くことができません。

    前エディターが使える「Classic Editor」のプラグインを使用してみましたが下記のとおりエラーが見つかったので、クラシックのブロックが使えないのはここに原因があるのかなと思っています。

    解決方法に心当たりのある方がいましたら教えていただけると幸いです。

    ---------------------
    発生している問題・エラーメッセージ

    ▼最新エディターでのエラー
    「ブロック」→「フォーマット」→「クラシック」→「このブロックでエラーが発生したためプレビューできません」

    ▼前エディターが使える「Classic Editor」のプラグインを使用した状態でのエラー
    ・入力文字が白文字(反転しないと見えない状態)
    ・装飾などをするアイコンメニューがない
    ・ビジュアルエディタとテキストエディタの切り替えができない(ビジュアルのまま)
    ---------------------

    その他詳しい情報は量が多いため、申し訳ありませんが別のQ&Aサイトに記載しているものを見ていただけると幸いです。
    https://teratail.com/questions/167960
    https://secure.xfree.ne.jp/bbs/detail.cgi?td=605

13件の返信を表示中 - 1 - 13件目 (全13件中)
  • CG

    (@du-bist-der-lenz)

    旧バージョンからのWordPress5への更新で起こっているなら、更新が正常に行われているか、それまでのサイトでの投稿の記述に、グーテンベルクが容認出来ない内容がありはしないか、そのあたりの検討からになりませんか。

    サーバーにあるWordPressのデータを削除→入れ直しは既に行っているので更新は正常にできているのではないかと考えています。

    「それまでのサイトでの投稿の記述に、グーテンベルクが容認出来ない内容がありはしないか」というのは過去の記事内容に原因がある、とのことで合っていますでしょうか。
    この場合、記事を全て非公開にすれば確認できるのか、それとも全て削除しないといけないのか。もしよければ教えていただけないでしょうか。

    追記失礼致します。
    ・非公開では変わらずエラーがでました。

    可能性の話として「私が気づいていなかっただけで、WordPress5にアップデートする前から上記のようなエラー(Classic Editorの頃に入力文字が白文字などのエラー)が起きていたのだとしたら」どのような原因が考えられるでしょうか。
    もし心当たりがありましたら教えていただけると幸いです。
    ※記事を書く際、プラグイン「Black Studio TinyMCE Widget」のようなものを使用していた場合、Classic Editorではエラーが起きていても記事を書くことは可能な為。

    こんにちは

    JavaScript 連結の無効化は試されたでしょうか?
    http://wpdocs.osdn.jp/wp-config.php_の編集#JavaScript_.E9.80.A3.E7.B5.90.E3.81.AE.E7.84.A1.E5.8A.B9.E5.8C.96

    回答ありがとうございます。
    JavaScript連結の無効化はすでに試してみましたが効果なしでした。

    JavaScript 連結を無効にすると、JavaScript のエラーメッセージが変わると思いますが、変わりましたか?

    • この返信は8 ヶ月、 1 週前に  ishitaka さんが編集しました。

    Chromeの検証モードによるとエラーの数は変わりませんでした。
    変わらないということは反映されていないということでしょうか。

    エラー内容は同じでしょうか?

    スマホなど別環境からのアクセスは試されたでしょうか?

    エラー内容は同じでした。

    スマホ・別PCからログインしてみましたが同じエラーがでました。

    JavaScript 連結を無効化できていないのではないでしょうか?

    define('CONCATENATE_SCRIPTS', false);

    を、wp-config.php の

    /* 編集が必要なのはここまでです ! WordPress でブログをお楽しみください。 */

    より、上に追加しましたか?

    • この返信は8 ヶ月、 1 週前に  ishitaka さんが編集しました。

    ishitakaさんが教えてくださったとおり【/* 編集が必要なのはここまでです ! WordPress でブログをお楽しみください。 */】より下にタグを貼っていたため効果がでていなかったようです。

    教えてくださった部分より上にタグを貼ったら無事に直りました。本当にありがとうございました!

    CG

    (@du-bist-der-lenz)

    「このブロックでエラーが発生したためプレビューできません」という表示が出た時の対応策の、一例にはなりましたが、バグ報告というよりは、使い方の解決方法に終止しましたね。

13件の返信を表示中 - 1 - 13件目 (全13件中)
  • トピック「「このブロックでエラーが発生したためプレビューできません」のエラーがでる」には新たに返信することはできません。